<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>SignUp</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <style>
        body {
            margin: 0;
        }

        .main {
            display: flex;
            align-items: center;
            justify-content: center;
            width: 100vw;
            height: 100vh;
        }

        .form {
            width: 300px;
        }

        .row {
            display: grid;
            grid-template-columns: 1fr 1fr;
            grid-auto-columns: minmax(150px, 200px);
        }

        .row:not(:last-child) {
            padding-bottom: 8px;
        }

        .center {
            grid-template-columns: 1fr;
        }
    </style>
</head>
<body>
<div class="main">
    <form class="form" method="post">
        <div class="row">
            <label for="name">Name</label>
            <input name="name" id="name">
        </div>
        <div class="row">
            <label for="surname">Surname</label>
            <input name="surname" id="surname">
        </div>
        <div class="row">
            <label for="login">Login</label>
            <input name="login" id="login" type="email">
        </div>
        <div class="row">
            <label for="password">Password</label>
            <input name="password" id="password" type="password">
        </div>
        <div class="row">
            <label for="passwordRetry">Retry password</label>
            <input name="retry_password" id="passwordRetry" type="password">
        </div>
        <div class="row center">
            <button type="submit">SignUp</button>
        </div>
    </form>
</div>
</body>
</html>